var COM_MHHF = {
    //获取服务器时间
    save_get_time: function () {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_get_time();
        } else {
            return { ret: 0, msg: new Date().getTime() };
        }
    },
    //登录
    save_login: function () {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_login();
        } else {
            return { ret: 0, nick: "测试模式", openid: "888", headimg: "" };
        }
    },
    //获取账号余额
    save_get_point: function () {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_get_point();
        } else {
            return { ret: 0, msg: 88888 };
        }
    },
    //返回充值链接
    pay: function () {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.pay();
        } else {
            return "http://www.mhhf.com/";
        }
    },
    //弹出充值提示窗口
    show_pay: function () {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.show_pay();
        } else {
            return "http://www.mhhf.com/";
        }
    },
    //付费接口
    save_cost_point: function (point, items, memo) {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_cost_point2(point, items, memo);
        } else {
            return { ret: 0, msg: { ret: "success", items: items, last: 88888 } };
        }
    },
    //获取存档列表
    save_list_slot: function () {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_list_slot2();
        } else {
            return COM_MHHF._getLocalListSlot();
        }
    },
    //创建/保存档案
    save_save_slot: function (idx, name, lv, memo, data, orders, callback) {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_save_slot2(idx, name, lv, memo, data, orders, callback);
        } else {
            return COM_MHHF._localSaveSlot(idx, name, lv, memo, data, orders, callback);
        }
    },
    //获取档案
    save_get_slot: function (idx) {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_get_slot2(idx);
        } else {
            return COM_MHHF._localGetSlot(idx);
        }
    },
    //删除档案
    save_remove_slot: function (idx) {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_remove_slot2(idx);
        } else {
            return COM_MHHF._localRemoveSlot(idx);
        }
    },

    save_list_rank: function (rank_idx, desc, start, end) {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_list_rank(rank_idx, desc, start, end);
        } else {
            return { ret: 0, msg: COM_MHHF._localGetSlot(0) };
        }
    },
    save_get_rank: function (rank_idx, desc, slot_idx) {
        if (COM_MHHF.getRuntime() == COM_MHHF.MHHF) {
            return top.save_get_rank(rank_idx, desc, slot_idx);
        } else {
            return { ret: 0, msg: 0 };
        }
    },
    getRuntime: function () {
        if (cc.sys.isNative) return COM_MHHF.NATIVE;
        if (COM_MHHF._hasMhhf()) return COM_MHHF.MHHF;
        return COM_MHHF.BROWSER;
    },


    _localSaveData: null,
    _getLocalSaveData: function () {

        if (COM_MHHF._localSaveData == null) COM_MHHF._localSaveData = cc.sys.localStorage.getItem('com.mhhf.api.local');
        if (COM_MHHF._localSaveData == "" || COM_MHHF._localSaveData == null) return [];

        return JSON.parse(COM_MHHF._localSaveData);
    },
    _setLocalSaveData: function (data) {
        COM_MHHF._localSaveData = JSON.stringify(data);
        cc.sys.localStorage.setItem('com.mhhf.api.local', JSON.stringify(data));
    },
    _getLocalListSlot: function () {
        var data = COM_MHHF._getLocalSaveData();
        if (data == null) data = [];
        return { ret: 0, msg: data };
    },
    _localSaveSlot: function (idx, name, lv, memo, data, orders, callback) {
        var sdata = COM_MHHF._getLocalSaveData();
        if (sdata == null) sdata = [];
        sdata[idx] = { idx: idx, name: name, lv: lv, memo: memo, data: data, orders: orders, updateTime: new Date().toLocaleString() };

        COM_MHHF._setLocalSaveData(sdata);
        if (callback) callback({ ret: 0 });
        return { ret: 0 };
    },
    _localGetSlot: function (idx) {
        var data = COM_MHHF._getLocalSaveData();
        if (data == null) data = [];
        return { ret: 0, msg: data[idx] };
    },
    _localRemoveSlot: function (idx) {
        var data = COM_MHHF._getLocalSaveData();
        if (data != null) {
            data[idx] = null;
            COM_MHHF._setLocalSaveData(data);
        }
        return { ret: 0 };
    },


    _hasMhhf: function () {
        if (top.save_get_time == undefined) return false;
        if (top.save_login == undefined) return false;
        return true;
    }
};
COM_MHHF.NATIVE = 0;
COM_MHHF.BROWSER = 1;
COM_MHHF.MHHF = 2;
